Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StandaloneGenerator

    java.lang.Object
      org.eclipse.gmf.internal.common.codegen.GeneratorBase
          org.eclipse.gmf.graphdef.codegen.StandaloneGenerator

All Implemented Interfaces:
  java.lang.Runnable

    public class StandaloneGenerator

extends org.eclipse.gmf.internal.common.codegen.GeneratorBase

FIXME move to internal package as it's not necessary to expose this class to public

Nested Class Summary
`static interface` `StandaloneGenerator.Config`
`static class` `StandaloneGenerator.ConfigImpl`
`static class` `StandaloneGenerator.Processor`
`static interface` `StandaloneGenerator.ProcessorCallback`

Nested classes/interfaces inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase
`org.eclipse.gmf.internal.common.codegen.GeneratorBase.Counter`

Field Summary
`protected StandaloneGenerator.Config` `myArgs`
`protected StandaloneGenerator.Processor` `myProcessor`

Constructor Summary
`StandaloneGenerator(StandaloneGenerator.Processor p, StandaloneGenerator.Config config)`
`StandaloneGenerator(StandaloneGenerator.Processor p, StandaloneGenerator.Config config, java.net.URL[] dynamicTemplates)`

Method Summary
`protected org.eclipse.gmf.internal.common.codegen.TextMerger` `createMergeService()` By default, provides facility that doesn't perform any merge at all.
`protected void` `customRun()`
`protected void` `generatePluginActivator()`
`protected void` `generatePluginStructure()`
`void` `setSkipPluginStructure(boolean skipManifest)` Allows clients to skip generating of manifest.mf, pligin and build properties files.
`protected void` `setupProgressMonitor()`

Methods inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase

`createImportAssistant, doGenerateBinaryFile, doGenerateFile, doGenerateJavaClass, doGenerateJavaClass, formatCode, getDestProject, getNextStepMonitor, getProgress, getRunStatus, guessNewProjectLocation, handleException, handleException, handleException, handleUnexpected, initializeEditorProject, initializeEditorProject, initializeEditorProject, mergeJavaCode, mergePlainText, newStatus, newStatus, run, run, setProgressMonitor, setProgressTaskName, setupProgressMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myArgs

    protected final StandaloneGenerator.Config myArgs

### myProcessor

    protected StandaloneGenerator.Processor myProcessor

Constructor Detail

### StandaloneGenerator

    public StandaloneGenerator(StandaloneGenerator.Processor p,
                               StandaloneGenerator.Config config)

### StandaloneGenerator

    public StandaloneGenerator(StandaloneGenerator.Processor p,
                               StandaloneGenerator.Config config,
                               java.net.URL[] dynamicTemplates)

Method Detail

### setSkipPluginStructure

    public void setSkipPluginStructure(boolean skipManifest)

  Allows clients to skip generating of manifest.mf, pligin and build properties files. "New-plugin-by-template" generator uses this feature because it delegates this generation to PDE defaults.

### setupProgressMonitor

    protected void setupProgressMonitor()

  Specified by:
    `setupProgressMonitor` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`

### createMergeService

    protected org.eclipse.gmf.internal.common.codegen.TextMerger createMergeService()

  Description copied from class: `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  By default, provides facility that doesn't perform any merge at all.

  Overrides:
    `createMergeService` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  Returns:
    facility to perform merges, should never return null.

### customRun

    protected void customRun()
                      throws java.lang.InterruptedException,
                             UnexpectedBehaviourException

  Specified by:
    `customRun` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  Throws:
    `java.lang.InterruptedException`
    `UnexpectedBehaviourException`

### generatePluginActivator

    protected void generatePluginActivator()
                                    throws UnexpectedBehaviourException,
                                           java.lang.InterruptedException

  Throws:
    `UnexpectedBehaviourException`
    `java.lang.InterruptedException`

### generatePluginStructure

    protected void generatePluginStructure()
                                    throws UnexpectedBehaviourException,
                                           java.lang.InterruptedException

  Throws:
    `UnexpectedBehaviourException`
    `java.lang.InterruptedException`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.